Bug 1141635 (CVE-2014-6300) - CVE-2014-6300 phpMyAdmin: XSS flaw possibly leading to root account creation (PMASA-2014-10)
Summary: CVE-2014-6300 phpMyAdmin: XSS flaw possibly leading to root account creation ...
Status: CLOSED CURRENTRELEASE
Alias: CVE-2014-6300
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20140913,repo...
Keywords: Security
Depends On: 1141636 1141637 1141638 1141640
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-15 05:31 UTC by Murray McAllister
Modified: 2019-06-08 20:10 UTC (History)
12 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-11-19 07:00:22 UTC


Attachments (Terms of Use)

Description Murray McAllister 2014-09-15 05:31:54 UTC
The upstream phpMyAdmin PMASA-2014-10 advisory fixes the following issue:

""
By deceiving a logged-in user to click on a crafted URL, it is possible to perform remote code execution and in some cases, create a root account due to a DOM based XSS vulnerability in the micro history feature.

...

Versions 4.0.x (prior to 4.0.10.3), 4.1.x (prior to 4.1.14.4) and 4.2.x (prior to 4.2.8.1) are affected.
""

Comment 2 Murray McAllister 2014-09-15 05:33:10 UTC
Created phpMyAdmin tracking bugs for this issue:

Affects: fedora-all [bug 1141636]
Affects: epel-all [bug 1141637]

Comment 3 Murray McAllister 2014-09-15 05:33:13 UTC
Created phpMyAdmin3 tracking bugs for this issue:

Affects: epel-5 [bug 1141638]

Comment 4 Murray McAllister 2014-09-15 05:33:44 UTC
Upstream advisory with links to fixes:

http://www.phpmyadmin.net/home_page/security/PMASA-2014-10.php

I have not checked the older epel versions to see if they are affected.

Comment 5 Fedora Update System 2014-09-23 04:32:38 UTC
phpMyAdmin-4.2.8.1-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2014-09-24 03:43:03 UTC
phpMyAdmin-4.2.8.1-2.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2014-09-25 10:40:35 UTC
phpMyAdmin-4.2.8.1-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2014-09-25 10:43:03 UTC
phpMyAdmin-4.2.8.1-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2014-09-30 17:37:32 UTC
phpMyAdmin-4.0.10.3-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2014-10-09 19:55:21 UTC
phpMyAdmin4-4.0.10.3-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Kurt Seifried 2014-11-19 07:00:22 UTC
OpenShift currently ships phpMyAdmin-4.0.10.5 which fixes PMASA-2014-12 and all earlier issues.

http://www.phpmyadmin.net/home_page/security/


Note You need to log in before you can comment on or make changes to this bug.